Publication's Main Project
2011-09-19 06:03 PM - Luis Figueira

Status: New Start date: 2011-09-19
Priority: High Due date:
Assignee: Luis Figueira % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Bibliography Beta
Description

Since a publication cannot exist without a project–so that it follows Redmine's philosophy–I think publications we should create the
publication's main project concept. One advantage of this behavior is that the link to a publication can always be created using that
project's "environment". In the case of publications associated with a single project this will be the main one by default. In terms of
rights, should the publication's main project be the only place where the publication can be edited?

Any opinions?

Related issues:
Related to Feature # 347: Project's Main Publication New 2011-12-14

History
#1 - 2011-09-19 06:05 PM - Luis Figueira
- Description updated

#2 - 2011-09-22 08:37 PM - Chris Cannam

I think this is probably a good idea -- we certainly need to have some editable context when we click on a publication from a neutral list (e.g. the
overall publications page).

#3 - 2013-07-12 04:03 PM - Luis Figueira
- Target version set to Bibliography Beta
